package com.td.WaDa.game.comsnbapply.repository;

import com.td.WaDa.common.repository.*;
import com.td.WaDa.game.comsnbapply.pojo.ComSnbApply;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface ComSnbApplyRepository extends CommonRepository<ComSnbApply, String> {

    List<ComSnbApply> findAllByUserIdAndIsState(String userId, Integer isState);

    Optional<ComSnbApply> findByUserIdAndSnbAndIsState(String userId,Integer snb,Integer isState);

    List<ComSnbApply> findAllByUserId(String userId);


    List<ComSnbApply> findAllByIdIn(List<String> ids);
}
